#
# spec file for package libax25
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

Name:           libax25
Version:        0.0.12rc4_21
Release:        lp156.1.1
License:        GPL-2.0+
Summary:        AX.25 Libraries for Development
URL:            http://ax25.sourceforge.net/
Group:          Development/Libraries/C and C++
Source:         libax25-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  libtool
BuildRequires:  zlib-devel

%description
Libraries for AX.25 support. This library set is still undergoing testing,
but is now released for general use.

%package devel
Summary: 	Ax25 header files
Group:		Development/Libraries/C and C++
Requires:	libax25 = %{version}

%description devel
Header file for libax25. Used to build packages that are
linked against kernel ax25

%prep
%setup

%build
aclocal
autoreconf --force --install
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
make installconf DESTDIR=%{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%dir %{_sysconfdir}/ax25
%config %{_sysconfdir}/ax25/axports
%config %{_sysconfdir}/ax25/nrports
%config %{_sysconfdir}/ax25/rsports
%{_libdir}/libax25.so.0
%{_libdir}/libax25.so.0.0.0
%{_libdir}/libax25io.so.0
%{_libdir}/libax25io.so.0.0.0
%doc %{_mandir}/man3/ax25.3.gz
%doc %{_mandir}/man3/rose.3.gz
%doc %{_mandir}/man5/axports.5.gz
%doc %{_mandir}/man5/nrports.5.gz
%doc %{_mandir}/man5/rsports.5.gz

%files devel
%defattr(-,root,root)
%{_libdir}/libax25.a
%{_libdir}/libax25.la
%{_libdir}/libax25io.so
%{_libdir}/libax25.so
%{_libdir}/libax25io.a
%{_libdir}/libax25io.la
%{_includedir}/netax25

%changelog
* Tue May 10 2016 dl8fcl@t-online.de
- update to version 0.0.12rc4_21
* Mon Jul 13 2015 dl8fcl@darc.de
- update to version 0.0.12rc4_20
* Tue Feb 19 2013 dl8fcl@darc.de
- update to 0.0.12rc2cvs20130219
  Fixed Bug: libax25 cannot find interfaces with callsign's without SSID
* Mon Jan 21 2013 dl8fcl@darc.de
- Fix for 12.3, cleanup of spec file, changelog moved to seperate file
* Thu Jun  7 2012 dl8fcl@darc.de
- BuildRequires fixed for 12.2
* Sat Nov 14 2009 dg7gt@gmx.de
- Update to rc2 for openSUSE 11.2 (11.0 and 11.1 unchanged due to build errors)
* Fri Apr 10 2009 dg7gt@online.de
- Update to current CVS with some bug fixes
* Sun Feb  8 2009 dg7gt@online.de
- Recompiling using actual CVS version
* Sat Nov 15 2008 dg7gt@online.de
- recompiled with actual cvs version
- added devel package
* Fri Oct 24 2008 dg7gt@online.de
- recompiled with actual cvs version
* Tue Feb 20 2007 dg7gt@online.de
- imported to openSUSE Buildservice
* Sun Dec 10 2006 dg7gt@online.de
- updated version to 0.0.11
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sat Jan 10 2004 adrian@suse.de
- add %%%%run_ldconfig
* Thu Dec  5 2002 jreuter@suse.de
- upgrade to version 0.0.10
- bziped source archive
* Wed Sep 18 2002 ro@suse.de
- removed bogus self-provides
* Tue Jul  2 2002 meissner@suse.de
- Cleaned up .spec, buildrooted, auto* rerun.
* Tue Feb 12 2002 jreuter@suse.de
- update to version 0.0.9
* Thu Nov 30 2000 jreuter@suse.de
- changed group to Applications/Hamradio
* Wed Nov  8 2000 sim@suse.de
- changed group to Applications/Communications
* Thu May 25 2000 sim@suse.de
- doc to /usr/share/doc
* Thu Mar  2 2000 kukuk@suse.de
- Use _mandir macro
* Thu Oct 28 1999 ka@suse.de
- added make installconf to install section of spec file
* Thu Sep 16 1999 ka@suse.de
- update to version 0.0.7
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 12 1999 ka@suse.de
- more detailed configure call to fix wrong paths in ax25tool/ax25apps
* Mon Jul 19 1999 ka@suse.de
- update to version 0.0.6
* Tue Jul 13 1999 ka@suse.de
- update to version 0.0.5
- fixed typo in pathnames.h
* Fri Jun 11 1999 ka@suse.de
- added header files for glibc 2.1 received from Tomi Manninen
* Wed May 19 1999 ro@suse.de
- re-added patch to apps/call.c
* Tue May 18 1999 ka@suse.de
- added patch for procutils.c
* Fri May  7 1999 ka@suse.de
- initial release of new sources for kernel 2.2.x
- renamed package to libax25
* Tue May  4 1999 ro@suse.de
- rebuilt diff
- patched to build with glibc-2.1 and on alpha
- rspfd can't work on alpha yet due to inline asm
* Mon Mar 15 1999 ro@suse.de
- renamed subpackage to ax25dev
* Fri Mar 12 1999 ka@suse.de
- added sample configuration files to /etc/ax25/
* Thu Mar 11 1999 ka@suse.de
- initial release
